<script>
	import Sidebar from '$lib/Components/Sidebar.svelte';
	import Options from '$lib/Components/admin/Options.svelte';
	import Student from '$lib/Components/admin/Student.svelte';
	import Faculty from '$lib/Components/admin/Faculty.svelte';
	import Course from '$lib/Components/admin/Course.svelte';
	import AllCourses from '$lib/Components/admin/AllCourses.svelte';

	let currentPage = $state('All Courses');
	let setCurrentPage = (newCurrentPage) => (currentPage = newCurrentPage);

	let sidebarData = ['All Courses', 'Options', 'Faculty', 'Student', 'Course'];
</script>

<div class="flex flex-row h-full w-full gap-6">
	<Sidebar {sidebarData} {setCurrentPage} />
	<div class="grow">
		{#if currentPage === sidebarData[0]}
			<AllCourses />
		{:else if currentPage === sidebarData[1]}
			<Options />
		{:else if currentPage === sidebarData[2]}
			<Faculty />
		{:else if currentPage === sidebarData[3]}
			<Student />
		{:else if currentPage === sidebarData[4]}
			<Course />
		{/if}
	</div>
</div>
